

use $dataset_main_edit, clear

pause on

cap drop _merge

merge m:1 tfipsst rhcalyr rhcalmn using ${ui_directory}state_unemp.dta 

keep if _merge==3
drop _merge


gen half=rhcalmn>6
replace half=half+1

merge m:1 tfipsst rhcalyr half using ${ui_directory}ui_max_benefits.dta

keep if _merge==3
drop _merge

drop half

merge m:1 tfipsst rhcalyr rhcalmn using ${ui_directory}eb.dta


keep if _merge==3
drop _merge


merge m:1 rhcalyr rhcalmn using ${ui_directory}cpi.dta

keep if _merge==3
drop _merge

*pause



*create euc indicators
gen yyyy_mm=rhcalyr*100+rhcalmn

gen euc1_on=yyyy_mm>=200806
gen euc2_on=yyyy_mm>=200811
gen euc3_on=yyyy_mm>=200911



xtset id time


*change time so that everyone starts off at one

replace time=time-min_time+1
replace max_time=max_time-min_time+1

*generate a variable that gives the time for the asset variables, amounts of assets are asked at the end of the reference period, so the time is wave*4
gen liquid_time1=0
gen liquid_time2=0
gen liquid_time3=0

replace liquid_time1=max(0,4*3-(min_time-1) ) if spanel==2004
replace liquid_time1=max(0,4*4-(min_time-1) ) if spanel==2008
replace liquid_time2=max(0,4*6-(min_time-1) ) if spanel==2004
replace liquid_time2=max(0,4*7-(min_time-1) ) if spanel==2008
replace liquid_time3=max(0,4*10-(min_time-1) ) if spanel==2008

replace liquid_time1=-1 if liquid_net1==.
replace liquid_time2=-1 if liquid_net2==.
replace liquid_time3=-1 if liquid_net3==.

drop min_time


*drop people who are in the sample for a very short period of time
drop if max_time<=4

*get number of observations after droping people who are in the panel for a very short period of time.
xtsum id



*change id such that it goes sequentially

sort time id
gen id_new=_n if time==1
replace id_new=0 if id_new==.

egen id_new2=max(id_new), by(id)
replace id=id_new2
xtset id time  
drop id_new id_new2



*divide wages,max benefit amount, and liquid wealth by cpi index

replace wage=wage/cpi
replace m_wage=m_wage/cpi
replace uimax=uimax/cpi
replace m_ui_ben= m_ui_ben/cpi
replace ui_ben=ui_ben/cpi

*Aug 2013, noticed I didn't divide husband's benefits by cpi

*do stuff to make sure liquid wealth is divided by the right cpi

replace liquid_net1=. if liquid_time1~=time
replace liquid_net2=. if liquid_time2~=time
replace liquid_net3=. if liquid_time3~=time

replace liquid_net1 = liquid_net1/cpi
replace liquid_net2 = liquid_net2/cpi
replace liquid_net3 = liquid_net3/cpi

*truncating assets at the 5% adn 95% percentiles to get a smaller variance (which I think might help in my fortran code when I draw new assets based on this estimated variance)
replace liquid_net1 = 534228.6 if liquid_net1>534228.6 & liquid_net1~=.
replace liquid_net2 = 534228.6 if liquid_net2>534228.6 & liquid_net2~=.
replace liquid_net3 = 534228.6 if liquid_net3>534228.6 & liquid_net3~=.

replace liquid_net1 = -26477.91 if liquid_net1<-26477.91 & liquid_net1~=.
replace liquid_net2 = -26477.91 if liquid_net2<-26477.91 & liquid_net2~=.
replace liquid_net3 = -26477.91 if liquid_net3<-26477.91 & liquid_net3~=.

*do this here quickly to get descriptive statistics for my savings data
gen liquid=.
replace liquid = liquid_net1 if liquid_net1 ~=.
replace liquid = liquid_net2 if liquid_net2 ~=.
replace liquid = liquid_net3 if liquid_net3 ~=.

sum liquid, detail
kdensity liquid 

gen liquid_and_income = liquid+ (m_wage*hours + wage*hours + m_ui_ben+ui_ben)*4.34812
sum liquid_and_income, detail

gen neg_total = liquid_and_income < 0 if liquid_and_income ~=.
tab neg_total


drop liquid_and_income neg_total


egen liquid_temp1 = max(liquid_net1), by(id)
egen liquid_temp2 = max(liquid_net2), by(id)
egen liquid_temp3 = max(liquid_net3), by(id)

replace liquid_net1 = liquid_temp1 
replace liquid_net2 = liquid_temp2
replace liquid_net3 = liquid_temp3

drop liquid liquid_temp1 liquid_temp2 liquid_temp3


*March 2013 change
*make wages constant once again after dividing by cpi
egen m_wage_avg = mean(m_wage) if m_job==1, by(id m_job m_job_no)
replace m_wage = m_wage_avg if m_job==1
drop m_wage_avg

egen wage_avg=mean(wage) if job==1, by(id job job_no)
replace wage=wage_avg if job==1
drop wage_avg


*convert some variables to integers
replace age=round(age)
replace m_age=round(m_age)
replace age_dif=round(age_dif)
replace ui_ben=round(ui_ben)
replace m_ui_ben=round(m_ui_ben)
replace uimax=round(uimax)

*convert age to lowest value
egen m_age2=min(m_age), by(id)
replace m_age=m_age2
drop m_age2

egen age2=min(age), by(id)
replace age=age2
drop age2




*before I just replaced these households
*replace m_wage=1 if m_wage==0 & m_job==1
*replace wage=1 if wage==0 & job==1


*replace some missing values with other number to make fortran happy
*replace m_wage=0 if m_job==0
*replace wage=0 if job==0
replace m_ui_ever=0 if m_job_no>=1
replace ui_ever=0 if job_no>=1

*replace youngest=-9 if kids==0
replace min_unemp_length=-1 if min_unemp_length==.
replace max_unemp_length=-1 if max_unemp_length==.


*change wage and ui ben to more reasonable numbers for observations that are clearly measurement error

replace m_wage=100 if m_wage>100
replace wage=100 if wage>100
replace m_wage=5 if m_wage<5 & m_wage>0
replace wage=5 if wage<5 & wage>0

replace m_ui_ben=800 if m_ui_ben > 800
replace ui_ben = 800 if ui_ben > 800




compress









*drop tfipsst-had_job
*drop these later


*decided against conterting to logs for now
/*
replace m_wage=log(m_wage) if m_wage>0
replace wage=log(wage) if wage>0

replace m_wage=4 if m_wage>4
replace wage=4 if wage>4
replace m_wage=2 if m_wage<2 & m_wage>0
replace wage=2 if wage<2 & m_wage>0

replace ui_ben=log(ui_ben) if ui_ben>0
replace ui_ben=5.5+1.6 if ui_ben>5.5+1.6
replace ui_ben=5.5-1.6 if ui_ben>0 & ui_ben<5.5-1.6

replace m_ui_ben=log(m_ui_ben) if m_ui_ben>0
replace m_ui_ben=5.5+1.6 if m_ui_ben>5.5+1.6
replace m_ui_ben=5.5-1.6 if m_ui_ben>0 & m_ui_ben<5.5-1.6
*/

replace kids=6 if kids>6
replace youngest=0 if kids==0


replace job_loss=0 if time==max_time
replace m_job_loss=0 if time==max_time

replace liquid_net1=0 if liquid_net1==.
replace liquid_net2=0 if liquid_net2==.

*sum


*keep if id==20
*keep if id<5000




*following code drops households with big changes in wages

gen big_change = (  	( (m_wage-l.m_wage>40) & (l.m_wage>0)  ) | ///
							( (wage-l.wage>40) & (l.wage>0)  ) | ///
							( (m_wage-l.m_wage<-40) & (m_wage>0)  ) | ///
							( (wage-l.wage<-40) & (wage>0)  ) | ///
							( ((m_wage-l.m_wage)/l.m_wage>2.5) & (l.m_wage>0)  ) | ///
							( ((wage-l.wage)/l.wage>2.5) & (l.wage>0)  ) | ///
							( ((m_wage-l.m_wage)/m_wage<-2.5) & (m_wage>0)  ) | ///
							( ((wage-l.wage)/wage<-2.5) & (wage>0)  ) ) & l.time ~=.

egen ever_big_change = max(big_change), by(id)
drop if ever_big_change == 1
drop big_change ever_big_change

*get number of observations after droping households with big changes in their wages
xtsum id

drop min cpi yyyy_mm ssuid epppnum esex epnspous m_epnspous

*replace missing values with zeros
foreach x of varlist _all {
		replace `x'=0 if `x'==.
}


*June 2013 drop households with unknown job start yet
gen any_unknown_start=0
replace any_unknown_start=1  if ( ( time==1 & m_job==1 & m_unknown_start_date==1 ) | ( time==1 & job==1 & unknown_start_date==1 ) )
egen unknown_start_main = max(any_unknown_start), by(id)
drop if unknown_start_main ==1
drop any_unknown_start unknown_start_main m_unknown_start_date unknown_start_date


*get number of observations after doing this
xtsum id


*June 2013
*re-removing a few households who had a break in their interview spell, not sure why I have to do this again
*This happen after merginig the husband and wife datasets, were a few where the either the husband or the wife didn't have data for an interview period.  Only affects 4 households, so a very small number.
gen interview_break = f.time==. & time~=max_time
egen ever_interview_break = max(interview_break), by(id)


drop if ever_interview_break == 1
drop interview_break ever_interview_break


*get number of observations after dropping some people who have a break in their interview spell
xtsum id


stop

*thus, have to redo idea
sort time id
gen id_new=_n if time==1
replace id_new=0 if id_new==.

egen id_new2=max(id_new), by(id)
replace id=id_new2
xtset id time  
drop id_new id_new2




save sipp_fortran_big.dta, replace


*following code randomly selects 800 households
/*
set seed 0

gen random =runiform() if time==1
sort time random id
gen n_temp = _n if time==1
gen keep1 = 0
replace keep1 = 1 if time==1 & n_temp <=800
egen keep2 = max(keep1), by(id)

keep if keep2==1
replace n_temp = 0 if n_temp ==.
egen id2 = max(n_temp), by(id)
replace id=id2

sort id time

drop id2 random n_temp keep1 keep2
*/

*now finally save


xtsum wage 
*do this to get num observations

pause

*code for dropping household who migrate( if I ever do drop household who migrate) this would remove 332 people, or 3.19 percent of my sample
*gen change_state = tfipsst~=l.tfipsst & l.tfipsst~=.
*gen ever_change_state= max(change_state), by(id)
*tab ever_change_state if time==1



*save sipp_fortran_small.dta, replace

drop spanel swave srefmon rhcalmn rhcalyr tfipsst eeducate rwkesr_last ui job_start_year job_start_month length_employed length_employed2 unemp_spell ///
length_unemployed m_eeducate m_rwkesr_last m_job_start_year m_job_start_month m_length_employed m_length_employed2 m_unemp_spell m_length_unemployed ///
no_wait m_ui 




*keep if id==1


order id time max_time seam  job job_no hours wage job_loss ui_ever new_job had_job m_job m_job_no m_hours m_wage m_job_loss m_ui_ever m_new_job m_had_job  youngest kids ///
ur_state ur_nat uirate uimax eb euc1_on euc2_on euc3_on  age white hs some_college college job_length_start ui_ben /// 
min_unemp_length max_unemp_length m_age m_white m_hs m_some_college m_college m_job_length_start m_ui_ben ///
m_min_unemp_length m_max_unemp_length age_dif ed_dif liquid_time1 liquid_time2 liquid_time3 liquid_net1 liquid_net2 liquid_net3 weight

drop black latino m_seam  m_black m_latino


outsheet using ${directory}sipp_fortran_big.csv, delimiter(",")  nolabel noquote replace
zipfile sipp_fortran_big.csv, saving(sipp_fortran_big.zip, replace)

*outsheet using ${directory}sipp_fortran_small.csv, delimiter(",") nolabel noquote replace
*zipfile sipp_fortran_small.csv, saving(sipp_fortran_small.zip, replace)


