
use ${directory}sipp_fortran_big.dta



*create a panel dataset with men and women listed separately



tempfile men
tempfile women

drop m_seam


save `men'

drop m_eeducate-m_had_job  m_rwkesr_last

gen sex=1
save `women'

use `men', clear

drop age eeducate job_no-had_job rwkesr_last


rename m_* *
gen sex=0

append using `women'


gen id2=id*2+(sex-1)
xtset id2 time 


*now look at difference between uimax and ui_ben 

gen ui_dif = uimax - ui_ben if ui_ben >0

sum ui_dif, detail

*now see how many people are bouned by the uimax.  because of measurement error, I'll say the individual is bounded if their difference is $40 or less

gen bounded = ui_dif <40 if ui_ben > 0

tab bounded


drop ui_dif bounded

*now look at the difference between uimax and what an individual would receive if they became unemployed

gen ui_ben_hypo = wage*hours*uirate if job ==1

gen ui_dif = uimax - ui_ben if job == 1

sum ui_dif, detail

gen bounded = uimax< ui_ben_hypo if job ==1
tab bounded


