*master do file for download and cleaning data for the dissertation "Spousal Labor Supply and Unemployment: Estimates from a Household Search Model"
clear
set more off
*do /home/jse4fp/sipp_datawork/master.do
cap log close
log using master, replace


*IMPORTANT: change the following directory path to your own current working directory
global directory /h1/j/js/jse4fp/sipp_datawork/

*IMPORTANT: if running under windows, change direction of slash
global importing_directory ${directory}importing_do_files/
global dataset_directory ${directory}other_datasets/
global temp_storage  /tmp/jse4fp/
global ui_directory ${directory}ui_folder/

global tables_directory ${directory}tables/

global dataset_first_merge ${temp_storage}sipp_first_merge.dta

global dataset_main_edit ${directory}main_edit_sipp.dta
global my_combo ${directory}my_combo.dta

*following to make my code compatible with Rothsteins
global scratch /h1/j/js/jse4fp/my_sipp_project


cd $directory 

capture mkdir /tmp/jse4fp

/*download sipp for census website, keep certain variables, then combining them into one dataset.  Comment out if data already downloaded */


*set the seed
set seed 0

*uncomment the following line if I want to make changes to the sipp_first_merge rather than starting over
global dataset_first_merge ${directory}sipp_first_merge.dta
do download_import.do 
global dataset_first_merge ${directory}sipp_first_merge.dta
*do testing.do

do ${ui_directory}import_ui.do
do main_edit_sipp2.do
do fortran_prep.do
*do gen_sipp_fortran_small.do
*do summary_stats.do



do summary_stats_new.do
do fortran_regs.do

*do unemployment_length_sipp.do
*do search_testing_edit.do
*do search_estimates.do
*do summary_stats.do


do leora_uimax_question.do

log close
*stop

