
*first import national unemployment data
*important, in the text file, I replaced the tabs with a space.  If importing a new version of this file, make sure the column numbers line up with the data dictionary
*using series LNS14000000 from the BLS website

clear


infile using ${ui_directory}unemp_dict_nat.dct, using(${ui_directory}LNS14000000.txt)


save ${ui_directory}national_unemp.dta, replace



*imports state ur data
*important, in the text file, I replaced the tabs with a space.  If importing a new version of this file, make sure the column numbers line up with the data dictionary

*address of file is
*ftp://ftp.bls.gov/pub/time.series/la/la.data.3.AllStatesS

clear

infile using ${ui_directory}unemp_dict.dct, using(${ui_directory}la.data.3.AllStatesS.txt)


keep if series==3

drop series

*merge national data

merge m:1 year month using ${ui_directory}national_unemp.dta, keep(match) nogen

*keep if year>=2003



*now replace the unemployment rate with the 3 month average
sort state year month
by state: gen time=_n
xtset state time
gen ur_state_avg=(ur_state+l.ur_state+l2.ur_state)/3
gen ur_nat_avg=(ur_nat+l.ur_nat+l2.ur_nat)/3

replace ur_state=ur_state_avg
replace ur_nat=ur_nat_avg


drop time ur_state_avg ur_nat_avg

*rename variables to conform with SIPP data
rename state tfipsst
rename year rhcalyr
rename month rhcalmn






saveold ${ui_directory}state_unemp.dta, replace

/*
*do this when I want to get the parameters for the VAR I estimate 
merge m:1 tfipsst rhcalyr rhcalmn using ${ui_directory}state_unemp.dta, nogen keep(match)



*set up panel data
 gen yearmo=ym(rhcalyr, rhcalmn)
 format yearmo %tm
 xtset tfipsst  yearmo


*now do regression of ur_nat on l.ur_nat
 reg ur_nat l.ur_nat if tfipsst==1
outreg2 using ${directory}unemp_regs.txt, stats(coef)  noaster nonotes  replace


*now do regression of ur_state on l.ur_state and l.ur_nat
 reg ur_state l.ur_state l.ur_nat
outreg2 using ${directory}unemp_regs.txt, stats(coef)  noaster nonotes  append


stop


*now to do var, downloaded a panel var file from http://siteresources.worldbank.org/INTRES/Resources/ILove_var.zip

*sysdir set PLUS /home/jse4fp/private/stata
*/

**************************
*now import max benefit data


/*this dataset import file on ui max benefits, replacement waits, and waiting weeks by state.  pdfs that text file gotten are located at
http://workforcesecurity.doleta.gov/unemploy/content/sigpros/2000-2009/July2006.pdf  (change date for different files */

insheet using ${ui_directory}ui_max_benefits.csv, comma clear

reshape long no_wait uirate min max kids, i(state) j(time_UI)

replace no_wait=0 if no_wait==.
drop if uirate==.
gen year = floor(time_UI/10)
gen half = (time_UI-year*10)
replace half=2 if half==7

rename max uimax

*make replace rate a percentage of wage rather than percentage of earning in a quarter
replace uirate=uirate*13

drop kids

*rename kids kids_UI
*sort state time_UI

drop time_UI 

sort state year half
rename state tfipsst
rename year rhcalyr



saveold ${ui_directory}ui_max_benefits.dta, replace


*********************
*now importing eb data
* got data from http://ows.doleta.gov/unemploy/trigger/2004/trig_022904.html (later part varies depending on date)


insheet using ${ui_directory}eb.csv, comma clear

reshape long eb, i(state) j(time_UI)


replace time_UI=time_UI*10 if time_UI<200311
replace eb=1 if eb==.

gen year = floor(time_UI/100)
gen month = (time_UI-year*100)

drop time_UI 

sort state year month

rename state tfipsst
rename year rhcalyr
rename month rhcalmn



saveold ${ui_directory}eb.dta, replace



*now import cpi data.  I use series CUUR0000SA0 from BLS with base period 1982-84=100

insheet using ${ui_directory}cpi.txt, tab clear

drop series 

rename value cpi
rename year rhcalyr
rename period rhcalmn

*divide cpi by the annual average for 2010 to make 2010 the base year
replace cpi=cpi/218.056


saveold ${ui_directory}cpi.dta, replace


















